Orq MCP is live: Use natural language to interrogate traces, spot regressions, and experiment your way to optimal AI configurations. Available in Claude Desktop, Claude Code, Cursor, and more. Start now →
Returns version history for a specific tool
curl --request GET \
--url https://api.orq.ai/v2/tools/{tool_id}/versions \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"version": "<string>",
"checksum": "<string>",
"entityType": "<string>",
"entityId": "<string>",
"data": {},
"workspace_id": "<string>",
"created_by_id": "<string>",
"updated_by_id": "<string>",
"description": "<string>"
}
],
"has_more": true
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
A limit on the number of objects to be returned. Limit can range between 1 and 50, and the default is 10
1 <= x <= 200A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, ending with 01JJ1HDHN79XAS7A01WB3HYSDB, your subsequent call can include after=01JJ1HDHN79XAS7A01WB3HYSDB in order to fetch the next page of the list.
A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, starting with 01JJ1HDHN79XAS7A01WB3HYSDB, your subsequent call can include before=01JJ1HDHN79XAS7A01WB3HYSDB in order to fetch the previous page of the list.
Was this page helpful?
curl --request GET \
--url https://api.orq.ai/v2/tools/{tool_id}/versions \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"version": "<string>",
"checksum": "<string>",
"entityType": "<string>",
"entityId": "<string>",
"data": {},
"workspace_id": "<string>",
"created_by_id": "<string>",
"updated_by_id": "<string>",
"description": "<string>"
}
],
"has_more": true
}